/* You can add global styles to this file, and also import other style files */
@import '~bootstrap/scss/bootstrap';
@import '~@angular/material/prebuilt-themes/pink-bluegrey.css';
@import "~angular-vertical-timeline/dist/vertical-timeline.css";


body {
  background-color: black !important;
  margin: 0;
  overflow: hidden;
  font-family: "Century Gothic", BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

$fullHeight: 100vh;

a {
  color: cyan;
}

.text-secondary {
  color: #a2a2a2 !important;
}

.item-background {
  background-color: rgba(0, 0, 0, 0.75);
  border: 1px solid rgb(50, 50, 50);
  overflow: hidden;
}

.content-container {
  position: fixed;
  top: 0;
  left: 0;
  min-height: 100vh;
  max-height: 100vh;
  width: 100vw;
  display: block;
  overflow: hidden;
  z-index: 1000;
}

.video-container {
  position: fixed;
  top: 0;
  left: -6%;
  min-height: 100vh;
  max-height: 100vh;
  width: 112vw;
  display: block;
  overflow: hidden;
}

.card-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  border-radius: 1rem;
  padding: 1rem 2rem;
  margin: 1rem;
}


.mat-tab-header {
  display: none !important;
}

.mat-tab-group {
  font-family: inherit;
}

.text-muted {
  color: #efefef;
}


// Timeline
app-timeline .timeline-content {
  background: #424242 !important;
  padding: 1px 0 !important;
}

app-timeline .inner-content {
  margin-top: 0 !important;
  margin-right: 0 !important;
}

app-timeline .mat-card-title {
  font-weight: bolder;
}

app-timeline .mat-card-content {
  font-size: 1.25rem !important;
}

app-timeline .date {
  right: 0 !important;
  left: auto !important;
  background: goldenrod !important;
  padding: 0 10px 0 15px !important;
  border-bottom-left-radius: 15px;
  z-index: 1200;
}

app-timeline .date > p {
  color: lighten(black, 20%) !important;
  font-weight: bold;
}

app-timeline .timeline-img {
  color: darkgray !important;
  margin-top: 10px !important;
  background: goldenrod !important;
}

app-timeline .timeline-img > p {
  color: lighten(black, 20%) !important;
  font-weight: bold;
}

app-timeline .timeline-img p {
  height: auto !important;
}
